from cpl_query.extension import List

from bot_graphql.abc.filter_abc import FilterABC


class Sort(FilterABC):
    def __init__(self):
        FilterABC.__init__(self)
        self._sort_direction = None
        self._sort_column = None

    def from_dict(self, values: dict):
        if "sortDirection" in values:
            self._sort_direction = values["sortDirection"]

        if "sortColumn" in values:
            self._sort_column = values["sortColumn"]

    def filter(self, query: List, *args) -> List:
        return query
