from abc import ABC, abstractmethod


class SelectCriteriaABC(ABC):
    @abstractmethod
    def __init__(self, page_index: int, page_size: int, sort_direction: str, sort_column: str):
        self.page_index = page_index
        self.page_size = page_size
        self.sort_direction = sort_direction
        self.sort_column = sort_column
