export class Queries {
  static serversListQuery = `
    query ServerInfo($filter: ServerFilter, $page: Page, $sort: Sort) {
      serverCount
      servers(filter: $filter, page: $page, sort: $sort) {
        id
        name
        iconURL
        userCount
      }
    }
  `;

  static serversQuery = `
    query ServerInfo($filter: ServerFilter, $page: Page, $sort: Sort) {
      servers(filter: $filter, page: $page, sort: $sort) {
        id
        name
        iconURL
        userCount
      }
    }
  `;
}
